package main;
import graph.InitializeNodePositions;
import graph.LayeredGraphNode;
import graph.RandomGraphGenerator;
import graph.io.Reader;
import lib.SweepCrossingMinimizer;
import view.MainView;


/**
 * The main executable class. Starts the application.
 * @author kolja
 *
 */
public class Main {

    /**
     * Will be run when the application is started.
     * @param args the command line arguments, currently not in use
     */
	public static void main(String[] args) {
		Reader r = new Reader( "papergraph.json" );
		LayeredGraphNode graph = r.readInputGraph();
	    //RandomGraphGenerator r = new RandomGraphGenerator( 0.1, 0.2, 5,5, 5, 5, 1 );
	    //LayeredGraphNode graph = r.createRandomNode( null, 0 );
	    //SweepCrossingMinimizer cminzer = new SweepCrossingMinimizer();
	    //for( int i = 0; i < 10; i++ )
	    //	cminzer.minimizeCrossings( graph );
		InitializeNodePositions.placeNodes( graph );
		new MainView( graph );
	}

}
